summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLuca Weiss2016-05-07 21:05:17 +0200
committerLuca Weiss2016-05-07 21:47:16 +0200
commitd8759a2eef4a2b83e8d908c827326bc0169ac8e2 (patch)
tree5e1511dc17cfbb65e697d4d20911d6b2bda3da56
downloadaur-d8759a2eef4a2b83e8d908c827326bc0169ac8e2.tar.gz
Initial commit
-rw-r--r--.SRCINFO23
-rw-r--r--PKGBUILD38
2 files changed, 61 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..2c2c8f01c9a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,23 @@
+# Generated by mksrcinfo v8
+# Sat May 7 19:45:58 UTC 2016
+pkgbase = hyperlightdrifter
+ pkgdesc = A 2D action role-playing game (Humble Version)
+ pkgver = 2016.04.18
+ pkgrel = 1
+ url = http://www.heart-machine.com/
+ arch = i686
+ arch = x86_64
+ license = custom
+ makedepends = unzip
+ depends = libcurl-compat
+ depends = openal
+ depends = libxcursor
+ noextract = HyperLightDrifter-DRMFree-Linux-2016-04-18.sh
+ source = local://HyperLightDrifter-DRMFree-Linux-2016-04-18.sh
+ md5sums = bae67eb8b26eb10389161992f0257c2c
+ depends_x86_64 = lib32-libcurl-compat
+ depends_x86_64 = lib32-openal
+ depends_x86_64 = lib32-libxcursor
+
+pkgname = hyperlightdrifter
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2f3a6065c7b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Luca Weiss <WEI16416@spengergasse.at>
+# Contributor: markzz <mark dot weiman at markzz dot com>
+# Contributor: Philip 'Chais' Abernethy <chais dot z30r at gmail dot com>
+
+# YOU MUST SUPPLY THE SH FILE INCLUDED WITH YOUR HUMBLE PURCHASE
+
+pkgname=hyperlightdrifter
+pkgver=2016.04.18
+_pkgver=2016-04-18
+pkgrel=1
+_filename="HyperLightDrifter-DRMFree-Linux-${_pkgver}.sh"
+pkgdesc="A 2D action role-playing game (Humble Version)"
+arch=('i686' 'x86_64')
+url="http://www.heart-machine.com/"
+license=('custom')
+depends=('libcurl-compat' 'openal' 'libxcursor')
+depends_x86_64=('lib32-libcurl-compat' 'lib32-openal' 'lib32-libxcursor')
+makedepends=('unzip')
+source=("local://${_filename}")
+noextract=("${_filename}")
+md5sums=('bae67eb8b26eb10389161992f0257c2c')
+
+prepare() {
+ # unzip will issue a warning about extra bytes at beginning of file, ignore it
+ unzip $_filename -d "${srcdir}/${pkgname}" || true
+}
+
+package() {
+ mkdir -p "${pkgdir}/opt/${pkgname}/"
+ mkdir -p "${pkgdir}/usr/bin/"
+
+ install -Dm755 "${srcdir}/${pkgname}/data/x86/HyperLightDrifter.x86" "${pkgdir}/opt/${pkgname}/"
+ cp -r "${srcdir}/${pkgname}/data/noarch/"* "${pkgdir}/opt/${pkgname}/"
+
+ ln -s "${pkgdir}/opt/${pkgname}/HyperLightDrifter.x86" "${pkgdir}/usr/bin/hyperlightdrifter"
+}
+
+# vim:set ts=8 sts=2 sw=2 et: